@import "../../../assets/scss/global";

.select-field-wrapper {
    position: relative;
    width: 100%;
    box-sizing: border-box;

    .select-group{
        border: 1px solid $border-color;
        border-radius: 10px;
        position: relative;
        height: 54px;
        width: 100%;
        display: flex;
        align-items: center;
        padding: 12px;

        @include largeScreen {
            cursor: pointer;
        }

        &.has-data {
            border: 1px solid #7C68EE;
        }

        &.disable{
            cursor: not-allowed;
            background-color: $border-color;
        }

        .select {
            position: absolute;
            left: 12px;
            right: 12px;
            bottom: -10px;
            display: flex;
            justify-content: space-between;
            height: 100%;
            pointer-events: none;
            color: black;
            border: 0;
    
            > svg {
                fill: black;
            }
    
            .content {
                display: flex;
                align-items: center;
    
                .img-label {
                    svg {
                        width: 40px;
                        height: 40px;
                        border-radius: 40px;
                    }
                }
    
                input {
                    width: 100%;
                    font-weight: 500;
                    outline: none;
                    border: 0;
                    font-weight: 500;
                    font-size: 15px;
                    line-height: 22px;
                }
            }
        }
        
        .label {
            position: absolute;
            pointer-events: none;
            top: 50%;
            left: 0;
            transform: translateY(-50%);
            padding-left: 12px;
            font-size: 14px;
            line-height: 22px;
            font-weight: 500;
            color: #374352;
            transition: all .2s ease-in-out;

            &.has-data {
                color: $secondary-color;
                top: 30%;
                font-size: 12px;
                line-height: 16px; 
            }
        }
    }

    .select-menu {
        z-index: 1;
        position: absolute;
        display: flex;
        flex-direction: column;
        row-gap: 4px;
        background: white;
        left: 0;
        right: 0;
        top: 60px;
        padding: 20px;
        box-shadow: 20px 20px 60px rgba(0, 0, 0, 0.1);
        border-radius: 12px;

        max-height: 200px;
        overflow-y: auto;
        p {
            color: #757688;
            font-size: 10px !important;
            line-height: 16px;
        }

        .item {
            width: 100%;
            height: 40px;
            box-sizing: border-box;
            display: flex;
            align-items: center;
            cursor: pointer;
            padding: 8px 10px;
            border: 1px solid transparent;
            font-weight: 500;

            &.disabled {
                color: #979797;
                font-style: italic;
                background-color: transparent !important;
                font-weight: 400;
                cursor: default;
            }

            &:not(&.active):hover {
                background: #FFF4F4;
                border-radius: 4px;
            }

            &.active {
                color: white;
                background-color: #F09B80;
                border-radius: 4px;
            }
        }
    }

    &.error {
        .select-group {
            border-color: #F82626;
        }

        .feedback {
            color: #F82626;
            font-size: 10px;
            line-height: 18px;
            margin-left: 15px;
        }
    }
}